<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('illegalwaterconnections', function (Blueprint $table) {
            //
            $table->string('applicant_name')->nullable();
            $table->string('connection_no')->nullable();
            $table->string('info_unauth_con')->nullable();
            $table->string('existing_tap_con_details')->nullable();
            $table->string('existing_top_con_unautorized')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('illegalwaterconnections', function (Blueprint $table) {
            //
            $table->dropColumn('applicant_name');
            $table->dropColumn('connection_no');
            $table->dropColumn('info_unauth_con');
            $table->dropColumn('existing_tap_con_details');
            $table->dropColumn('existing_top_con_unautorized');
        });
    }
};
